
#importing following packages
library(tidyverse)
library(lubridate)
library(dplyr)
library(ggplot2)
library(leaflet)

#Packages can be installed using the code below:
#install.packages('leaflet')

#importing data file 'crime.csv'
df <- read.csv(file = "crime.csv", header = TRUE, sep=",")
#view first few rows
head(df)

#view number of rows and columns
dim(df)

#view data types
str(df)

#Preprocessing
df$YEAR <- as.factor(df$YEAR)
df$HOUR <- as.factor(df$HOUR)
df$MONTH <- as.factor(df$MONTH)
df$OCCURRED_ON_DATE <- as.POSIXct(df$OCCURRED_ON_DATE, format = "%Y-%m-%d %H:%M:%OS")

str(df)






#Shiny App

#importing shiny library
library(shiny)


ui <- basicPage("My first Shiny App")

server <- function(input, output){}

shinyApp(ui = ui, server = server)



